Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QDefaultAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QSimpleAccess
                  |
                  +--com.jxml.quick.engine.QOptionalAccess
                        |
                        +--com.jxml.quick.engine.QFixedAccess
                              |
                              +--com.jxml.quick.engine.QDefaultAccess

public class QDefaultAccess
extends QFixedAccess

Constructor Summary
`QDefaultAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`protected Object` | `get(Object parent, QContext context)`
`protected void` | `validateChild(Object child, QContext context)`

Methods inherited from class com.jxml.quick.engine.QFixedAccess
`validateParent`

Methods inherited from class com.jxml.quick.access.QSimpleAccess
`createIterator, readable, setIteratorParent, writeable`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDefaultAccess

    public QDefaultAccess()

Method Detail

### get

    protected Object get(Object parent,
                         QContext context)
                  throws QPE

  Overrides:
    `get` in class `QFixedAccess`

### validateChild

    protected void validateChild(Object child,
                                 QContext context)
                          throws QPE

  Overrides:
    `validateChild` in class `QOptionalAccess`

### add

    public void add(Object parent,
                    QTargetFactory parentFactory,
                    Object child,
                    QContext context)
             throws QPE

  Overrides:
    `add` in class `QFixedAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD